"use strict";
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteConnection = void 0;
const EndevorController_1 = require("../EndevorController");
const vscode = require("vscode");
const globals_1 = require("../globals");
function deleteConnection(arg) {
    if (arg.contextValue === "connection") {
        globals_1.logger.trace(`Remove session ${arg.label}`);
        vscode.window
            .showWarningMessage("Remove session?", "OK", "Cancel")
            .then(selection => {
            if (selection === "OK") {
                EndevorController_1.EndevorController.instance.removeConnection(arg.label);
                vscode.commands.executeCommand("endevorexplorer.refreshHosts");
                globals_1.logger.info("Session removed.");
                EndevorController_1.EndevorController.instance.updateSettings();
            }
            else {
                globals_1.logger.info("Operation cancelled.");
            }
        });
    }
}
exports.deleteConnection = deleteConnection;
//# sourceMappingURL=DeleteConnection.js.map