"use strict";
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Element = void 0;
const EndevorEntity_1 = require("./EndevorEntity");
class Element extends EndevorEntity_1.EndevorEntity {
    constructor(repo, element) {
        super();
        this.elmName = element.elmName;
        this.fullElmName = element.fullElmName;
        this.elmVVLL = element.elmVVLL;
        this.envName = element.envName;
        this.sysName = element.sysName;
        this.sbsName = element.sbsName;
        this.stgNum = element.stgNum;
        this.typeName = element.typeName;
        this.repository = repo;
    }
    getName() {
        return this.elmName;
    }
    getDescription() {
        return "";
    }
    getElmName() {
        return this.elmName;
    }
    getElmVVLL() {
        return this.elmVVLL;
    }
    getRepository() {
        return this.repository;
    }
    getQualifier() {
        return {
            env: this.envName,
            stage: this.stgNum,
            system: this.sysName,
            subsystem: this.sbsName,
            type: this.typeName,
            element: this.fullElmName
        };
    }
}
exports.Element = Element;
//# sourceMappingURL=Element.js.map